[![Actions Status](https://github.com/code-quality-resources/eslint-config-angular/workflows/CI/badge.svg)](https://github.com/code-quality-resources/eslint-config-angular/actions?query=workflow%3A%22CI%22)

# Eslint Config Angular

[**eslint**](https://github.com/eslint/eslint) shareable config to help you identify and report on patterns found in your applications.

## Plugins

This [configuration](https://github.com/code-quality-resources/eslint-config-angular/blob/master/index.js) uses the following plugins:

- [`@angular-eslint/eslint-plugin`](https://github.com/angular-eslint/angular-eslint/tree/master/packages/eslint-plugin)
- [`@angular-eslint/eslint-plugin-template`](https://github.com/angular-eslint/angular-eslint)

## Install

```bash
$ yarn add @code-quality/eslint-config-angular -D
```

## Usage

The shareable config can be configured in the [**eslint** configuration file](https://eslint.org/docs/user-guide/configuring):

Create a _.eslintrc.js_ file with the following contents:

```js
module.exports = {
  extends: [
    '@code-quality/eslint-config-angular',
  ],
}
```

Run: 
- `yarn add @angular-eslint/builder`
- `ng add @angular-eslint/schematics`

Update `lint` configuration in `angular.json`:

```json
{
    "lint": {
      "builder": "@angular-eslint/builder:lint",
      "options": {
        "eslintConfig": ".eslintrc.js",
        "tsConfig": [
          "tsconfig.app.json",
          "tsconfig.spec.json",
          "e2e/tsconfig.json"
        ],
        "exclude": [
          "**/node_modules/**"
        ]
      }
    }
}
```
